// 004 u_find_memo
// 11 jun 2005

// -- (C) Felix John COLIBRI 2004
// -- documentation: http://www.felix-colibri.com

(*$r+*)

unit u_find_memo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, FileCtrl, ExtCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    exit_: TButton;
    clear_: TButton;
    Panel2: TPanel;
    Panel3: TPanel;
    Memo1: TMemo;
    create_: TButton;
    procedure FormCreate(Sender: TObject);
    procedure clear_Click(Sender: TObject);
    procedure exit_Click(Sender: TObject);
    procedure create_Click(Sender: TObject);
  private
  public
  end;

var
  Form1: TForm1;

  implementation
    uses u_c_log, u_c_display, u_display_hex_2, u_exe
        , u_c_find_memo
        ;

    {$R *.DFM}

    // -- events

    var g_c_find_memo: c_find_memo= Nil;

    procedure TForm1.FormCreate(Sender: TObject);
      begin
        initialize_display(Memo1.Lines);
        initialize_default_log;
      end; // FormCreate

    procedure TForm1.clear_Click(Sender: TObject);
      begin
        clear_display;
      end; // clear_Click

    procedure TForm1.exit_Click(Sender: TObject);
      begin
        Close;
      end; // exit_Click

    procedure TForm1.create_Click(Sender: TObject);
      begin
        g_c_find_memo:= c_find_memo.create_find_memo('find', Panel3,
            f_exe_path+ 'log\');
        with g_c_find_memo do
        begin
          m_c_memo.Lines.LoadFromFile('..\p_find_memo\u_find_memo.pas');
          m_do_hilite_result:= True;
        end; // with g_c_find_memo
      end; // create_Click

end.

